commit 6b77712fcc9e4daf673751f0302c1ae003ed7dce
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Dec 7 13:17:41 2025 +0000

    DMARC: fix retval for module init

diff --git a/src/src/miscmods/dmarc.c b/src/src/miscmods/dmarc.c
index 8d840ae84..49ad795c2 100644
--- a/src/src/miscmods/dmarc.c
+++ b/src/src/miscmods/dmarc.c
@@ -63,9 +63,9 @@ extern uschar * dmarc_history_file;	/* File to store dmarc results */
 extern uschar * dmarc_tld_file;		/* Mozilla TLDs text file */
 
 
-void
+BOOL
 dmarc_local_init(void)
-{}
+{ return TRUE; }
 
 gstring *
 dmarc_version_report(gstring * g)
diff --git a/src/src/miscmods/dmarc_native.c b/src/src/miscmods/dmarc_native.c
index 02eb5dbd3..084adab28 100644
--- a/src/src/miscmods/dmarc_native.c
+++ b/src/src/miscmods/dmarc_native.c
@@ -48,6 +48,7 @@ if (!dmarc_regex_ri)
   dmarc_regex_ri =  regex_must_compile(US "^\\d{1,10}$", MCS_CACHEABLE, FALSE);
 if (!dmarc_regex_fo)
   dmarc_regex_fo =  regex_must_compile(US "^[01ds]$",    MCS_CACHEABLE, FALSE);
+return TRUE;
 }
 
 

